package cn.iocoder.yudao.module.tkdata.service.newhosts;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.tkdata.controller.admin.newhosts.vo.AllocationHostsSaveReqVO;
import cn.iocoder.yudao.module.tkdata.controller.admin.newhosts.vo.NewHostsPageReqVO;
import cn.iocoder.yudao.module.tkdata.controller.admin.newhosts.vo.NewHostsSaveReqVO;
import cn.iocoder.yudao.module.tkdata.dal.dataobject.newhosts.NewHostsDO;

/**
 * 主播数据 Service 接口
 *
 * @author 芋道源码
 */
public interface NewHostsService {

    /**
     * 创建主播数据
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createNewHosts(@Valid NewHostsSaveReqVO createReqVO);

    /**
     * 更新主播数据
     *
     * @param updateReqVO 更新信息
     */
    void updateNewHosts(@Valid NewHostsSaveReqVO updateReqVO);

    /**
     * 删除主播数据
     *
     * @param id 编号
     */
    void deleteNewHosts(Long id);

    /**
    * 批量删除主播数据
    *
    * @param ids 编号
    */
    void deleteNewHostsListByIds(List<Long> ids);

    /**
     * 获得主播数据
     *
     * @param id 编号
     * @return 主播数据
     */
    NewHostsDO getNewHosts(Long id);

    /**
     * 获得主播数据分页
     *
     * @param pageReqVO 分页查询
     * @return 主播数据分页
     */
    PageResult<NewHostsDO> getNewHostsPage(NewHostsPageReqVO pageReqVO);

    void batchUpdateNewHosts(@Valid List<NewHostsSaveReqVO> updateReqVO);

    void deleteExportData(List<NewHostsDO> list);
}